param n,  >0, integer;
param b{1..n},  >0, integer; 
param kg{1..n},  >0, integer; 

var x{1..n}, binary;

maximize obj : sum{i in 1..n} b[i]*x[i];
s.t. poids: sum{i in 1..n} kg[i]*x[i] <=15;

solve;

printf "Valeur objectif %d \n", obj;
for{i in 1..n} { printf "%d ", x[i]; }

data;
param n := 5;
param b := 1 4
           2 2
           3 10
           4 1 
           5 2;
param kg := 1 12
            2 1
            3 4
            4 1
            5 2;
end;
