using JuMP;
using GLPK;

m = Model(GLPK.Optimizer);

@variable(m, x1>=0);
@variable(m, x2>=0);
@constraint(m,8*x1+3*x2<=20);
@constraint(m,6*x1+6*x2<=32);
@objective(m, Max, 3x1+x2);

optimize!(m);

println("val opt:",objective_value(m));
println(value.(x1));
println(value.(x2));
